﻿using System.Windows;
using Microsoft.Phone.Controls;

using System.IO.IsolatedStorage;

namespace P10_1
{
    public partial class AppSettings : PhoneApplicationPage
    {
        public AppSettings()
        {
            InitializeComponent();
        }
        //Запись параметра
        private void btnSave_Click(object sender, RoutedEventArgs e)
        {
            //Получим изолированное хранилище настроек
            IsolatedStorageSettings settings = IsolatedStorageSettings.ApplicationSettings;
            // Если среди параметров не существует параметра с ключом userData
            if (!settings.Contains("userData"))
            {
                //Добавим новый параметр с ключом userData и запишем в него содержимое поля
                settings.Add("userData", txtInput.Text);
            }
            else
            {
                //Если такой праметр уже существует - обновим его содержимое
                settings["userData"] = txtInput.Text;
            }
            //Сохраним параметры прилоения
            settings.Save();
        }

        //Чтение параметра
        private void btnDisplay_Click(object sender, RoutedEventArgs e)
        {
            // Подготовим поле txtDisplay к выводу данных и вывдем их если нужный параметр существует.
            txtDisplay.Text = "Данные: ";
            if (IsolatedStorageSettings.ApplicationSettings.Contains("userData"))
            {
                //Добавим к тексту, уже отображаемому в поле, текст, прочитанный из параметра с ключом userData
                txtDisplay.Text +=
                IsolatedStorageSettings.ApplicationSettings["userData"] as string;
            }
        }

        //Удаление параметра
        private void btnRemove_Click(object sender, RoutedEventArgs e)
        {
           //Если параметр с ключом userData существует, удалим его
            if (IsolatedStorageSettings.ApplicationSettings.Contains("userData"))
            {
                IsolatedStorageSettings.ApplicationSettings.Remove("userData");
            }
        }



    }
}