﻿using System;
using System.Windows;
using Microsoft.Phone.Controls;

using System.IO;
using System.Threading.Tasks;
using Windows.Storage;

namespace P10_1
{
    public partial class LocalFolder : PhoneApplicationPage
    {
        public LocalFolder()
        {
            InitializeComponent();
        }

        private async void btnWrite_Click(object sender, RoutedEventArgs e)
        {
            await WriteToFile();

            // Обновление пользовательского интерфейса.
            this.btnWrite.IsEnabled = false;
            this.btnRead.IsEnabled = true;
        }

        //Запись файла
        private async Task WriteToFile()
        {
            // Получим текстовые данные из текстового поля. 
            byte[] fileBytes = System.Text.Encoding.UTF8.GetBytes(this.textBox1.Text.ToCharArray());

            // Получим локальную папку.
            StorageFolder local = Windows.Storage.ApplicationData.Current.LocalFolder;

            // Создадим новую папку с именем DataFolder.
            var dataFolder = await local.CreateFolderAsync("DataFolder",
                CreationCollisionOption.OpenIfExists);

            // Создадим в новой папке файл DataFile.txt.
            var file = await dataFolder.CreateFileAsync("DataFile.txt",
            CreationCollisionOption.ReplaceExisting);

            // Запишем данные из текстового поля в файл.
            using (var s = await file.OpenStreamForWriteAsync())
            {
                s.Write(fileBytes, 0, fileBytes.Length);
            }
        }

        //Чтение файла
        private async void btnRead_Click(object sender, RoutedEventArgs e)
        {
            await ReadFile();

            // Обновим интерфейс.
            this.btnWrite.IsEnabled = true;
            this.btnRead.IsEnabled = false;
        }

        private async Task ReadFile()
        {
            // Получим локальную папку.
            StorageFolder local = Windows.Storage.ApplicationData.Current.LocalFolder;

            if (local != null)
            {
                // Получим папку DataFolder.
                var dataFolder = await local.GetFolderAsync("DataFolder");

                // Получим файл.
                var file = await dataFolder.OpenStreamForReadAsync("DataFile.txt");

                // Прочтем даннные файла и запишем в тектовое поле.
                using (StreamReader streamReader = new StreamReader(file))
                {
                    this.textBlock1.Text = streamReader.ReadToEnd();
                }

            }
        }

    }
}